CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.ComputeTenants.PutComputeTenantAsync(
orgId: "<id>",
body: new ComputeTenantUpdate() {}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.compute_tenants.put_compute_tenant(org_id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.computeTenants.putComputeTenant({
orgId: "<id>",
computeTenantUpdate: {},
});
console.log(result);
}
run();curl --request PUT \
--url https://apigw.mka1.com/api/v1/compute/tenants/{org_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"max_live_jobs": 1,
"max_live_services": 1
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, max_live_jobs: 1, max_live_services: 1})
};
fetch('https://apigw.mka1.com/api/v1/compute/tenants/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"max_live_jobs": 1,
"max_live_services": 1,
"org_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Compute Tenants
Put apiv1computetenants
Cluster-administrator-only idempotent upsert.
PUT
/
api
/
v1
/
compute
/
tenants
/
{org_id}
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.ComputeTenants.PutComputeTenantAsync(
orgId: "<id>",
body: new ComputeTenantUpdate() {}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.compute_tenants.put_compute_tenant(org_id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.computeTenants.putComputeTenant({
orgId: "<id>",
computeTenantUpdate: {},
});
console.log(result);
}
run();Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
Body
application/json
Was this page helpful?
⌘I